//  Copyright 2009 Stanislav Zidek
/*
 *  This file is part of CE-solver.
 *
 *  CE-solver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CE-solver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CE-solver.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _DEBUG_HH_
#define _DEBUG_HH_
#include "debug.hh"

#ifdef DEBUG

#include <iostream>

#define DPRINT(x) \
do { \
	std::cout << __FILE__ << ":" << __LINE__ << ": " << x << std::endl << std::flush; \
} while (0)
#define DFUNC \
do { \
	std::cout << __FILE__ << ": Function " << __FUNCTION__ << std::endl << std::flush; \
} while (0)
#define DVAR(x) \
do { \
	std::cout << __FILE__ << ":" << __LINE__ << ": Variable " << #x << ": " << x << std::endl << std::flush; \
} while (0)

#else

#define DPRINT(x)
#define DFUNC
#define DVAR(x)

#endif // DEBUG

#endif // _DEBUG_HH_
