//  Copyright 2009 Stanislav Zidek
/*
 *  This file is part of CE-solver.
 *
 *  CE-solver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CE-solver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CE-solver.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

//Example of interface of LP solver

#ifndef _LP_SOLVER_HH_
#define _LP_SOLVER_HH_
#include "lp-solver.hh"

#include "game-adt.hh"
#include "ce-lp.hh"

#include <vector>
#include <map>

#include <cstdio>

//abstract class for LP solver
template <class T>
class LPSolver {
protected:
	const CorrelatedLP<T> &clp;
public:
	LPSolver(const CorrelatedLP<T>& corr_lp):
		clp(corr_lp)
	{}

	virtual std::map<StrategyProfile, T> solve() =0;
};

#endif //_LP_SOLVER_HH_
