//  Copyright 2009 Stanislav Zidek
/*
 *  This file is part of CE-solver.
 *
 *  CE-solver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CE-solver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CE-solver.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _PRINT_HH_
#define _PRINT_HH_
#include "print.hh"

#ifdef OUTPUT

#include <iostream>

#define PRINT(x) \
do { \
	std::cout << x << std::flush; \
} while (0)
#define PRINTLN(x) \
do { \
	std::cout << x << std::endl << std::flush; \
} while (0)

#else

#define PRINT(x)
#define PRINTLN(x)

#endif //OUTPUT

#endif //_PRINT_HH_
